Obtenir les dossiers de signets
curl --request GET \
--url https://api.x.com/2/users/{id}/bookmarks/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/bookmarks/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/bookmarks/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Dossiers de signets
Obtenir les dossiers de signets
Récupère une liste de dossiers de signets créés par l’utilisateur authentifié.
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
Obtenir les dossiers de signets
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Identifiant de l’utilisateur source authentifié pour lequel retourner les résultats. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.
Exemple:
"2244994945"
Paramètres de requête
Nombre maximal de résultats.
Plage requise:
1 <= x <= 100Ce paramètre permet d’obtenir la « page » de résultats suivante. Un jeton de pagination au format base36.
Minimum string length:
1Réponse
La requête a abouti.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes